<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>The ESP-AT MQTT library project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">The ESP-AT MQTT library project
   </div>
   <div id="projectbrief">A simple wrapper to the MQTT functionality found in the ESP-AT interpreter</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">EspATMQTT Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classEspATMQTT.html">EspATMQTT</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>at</b> (defined in <a class="el" href="classEspATMQTT.html">EspATMQTT</a>)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#a97a6b0b76519d2c66f88e63f0ab03191">begin</a>()</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>buff</b> (defined in <a class="el" href="classEspATMQTT.html">EspATMQTT</a>)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#ac4ddf5d44ae83e6d0cd709643f1f1b5c">clientID</a>(uint32_t linkID, const char *clientID)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEspATMQTT.html#a0fcdb02fda7e18803e4ce8d91713aaa5">clientID</a>(uint32_t linkID, char *clientID)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#a5b50dbee89d67c668f6af159ae619d60">close</a>(uint32_t linkID)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEspATMQTT.html#a8e901eebb623f6abd84d1c5edf9f05c9">connect</a>(uint32_t linkID, const char *host, uint32_t port=1883, uint32_t reconnect=0, uint32_t timeout=5000, connected_cb_t cb=NULL)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>connected</b> (defined in <a class="el" href="classEspATMQTT.html">EspATMQTT</a>)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>connected_cb</b> (defined in <a class="el" href="classEspATMQTT.html">EspATMQTT</a>)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#ad9b75265ad81ec9d0f7482bc2589167a">connectionConfig</a>(uint32_t linkID, uint32_t keepalive, uint32_t disable_clean_session, const char *lwt_topic, const char *lwt_message, uint32_t lwt_qos=0, uint32_t lwt_retain=0)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>connType</b> (defined in <a class="el" href="classEspATMQTT.html">EspATMQTT</a>)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#a9c347e4dd4dbeebac73be3c1d319efc9">enableNTPTime</a>(bool enable, validDateTime_cb_t cb, uint32_t timezone, const char *ts1=NULL, const char *ts2=NULL, const char *ts3=NULL)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEspATMQTT.html#a866cdfd06d35f16961ecf6341ac09025">EspATMQTT</a>(HardwareSerial *=&amp;ESP_SERIAL_PORT)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#a8f2eabe34e1e301f8e0553cb46c3c5b2">getNTPTime</a>(char **time)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEspATMQTT.html#a019d0b292130ca7fbfdef1355e55ab18">isConnected</a>()</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>ntpTimeValid</b> (defined in <a class="el" href="classEspATMQTT.html">EspATMQTT</a>)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEspATMQTT.html#aa2c6f6871abafea71ff2f011d957a124">password</a>(uint32_t linkID, const char *password)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#ad6b6bf8f0687db37ffcecaf64eb3b59c">password</a>(uint32_t linkID, char *password)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEspATMQTT.html#ad595b0473a1d3ac3e501a06702483b2c">process</a>()</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#a426a11356f7f03123bab6df4a4ec079e">pubRaw</a>(uint32_t linkID, const char *topic, const char *data, uint32_t qos=0, uint32_t retain=0)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEspATMQTT.html#a9fbf5bce3285f51377c35908b86b4712">pubRaw</a>(uint32_t linkID, const char *topic, char *data, uint32_t qos=0, uint32_t retain=0)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#a8ec75f194b7cbb49180c37db02614f51">pubString</a>(uint32_t linkID, const char *topic, const char *data, uint32_t qos=0, uint32_t retain=0)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEspATMQTT.html#abf4ce3e31c7ee2b92bd2ab6b086e6614">pubString</a>(uint32_t linkID, const char *topic, char *data, uint32_t qos=0, uint32_t retain=0)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#ad66a3c2c376eaeac2764e76447a6d126">setALPN</a>(uint32_t linkID, const char *alpn1=NULL, const char *alpn2=NULL, const char *alpn3=NULL, const char *alpn4=NULL, const char *alpn5=NULL)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEspATMQTT.html#a806a4a6b9d83342faa74119673495c47">subscribeTopic</a>(subscription_cb_t cb, uint32_t linkID, const char *topic, uint32_t qos=0)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#aa2f1a5b91e663381da3dedfd5fe1b47f">subscribeTopic</a>(subscription_cb_t cb, uint32_t linkID, char *topic, uint32_t qos=0)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>subscription_cb</b> (defined in <a class="el" href="classEspATMQTT.html">EspATMQTT</a>)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>topicSubscriptions</b> (defined in <a class="el" href="classEspATMQTT.html">EspATMQTT</a>)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEspATMQTT.html#a41fad78c34bbd86176eef929be9c4685">unSubscribeTopic</a>(uint32_t linkID, const char *topic)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#aabf1e9b9a591e154451130b35489ae95">unSubscribeTopic</a>(uint32_t linkID, char *topic)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEspATMQTT.html#aebd4ec0e4036b283d911e9b4c4de7e91">userConfig</a>(uint32_t linkID, mqtt_scheme_t scheme, const char *clientID, const char *userName=&quot;&quot;, const char *password=&quot;&quot;, uint32_t certKeyID=0, uint32_t caID=0, const char *path=&quot;&quot;)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#aa16710ca14260976f0b1b7db39da34d1">userConfig</a>(uint32_t linkID, mqtt_scheme_t scheme, char *clientID, const char *userName=&quot;&quot;, const char *password=&quot;&quot;, uint32_t certKeyID=0, uint32_t caID=0, const char *path=&quot;&quot;)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEspATMQTT.html#ab6600503df7e04f882ff7571a3207446">userConfig</a>(uint32_t linkID, mqtt_scheme_t scheme, char *clientID, char *userName, char *password, uint32_t certKeyID=0, uint32_t caID=0, const char *path=&quot;&quot;)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEspATMQTT.html#a26bf40f518a90b9f44c8b2e0fcdd8459">username</a>(uint32_t linkID, const char *username)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEspATMQTT.html#a74abc431bedc8f4e1994a21b7818bc8a">username</a>(uint32_t linkID, char *username)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>validDateTime_cb</b> (defined in <a class="el" href="classEspATMQTT.html">EspATMQTT</a>)</td><td class="entry"><a class="el" href="classEspATMQTT.html">EspATMQTT</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
